Caricare la configurazione da un file
05/15/2019 03:02 PM - Elena Grandi
Category: Estimated time: 0.00 hour
Resolution:

Description

Al momento in caso di presenza della directory /etc/fuss-server viene caricata la configurazione "standard", altrimenti quella mock; la
configurazione standard dovrebbe perd caricare le opzioni da un file, ad esempio /etc/fuss-manager/fuss-manager.conf (con gli
opportuni default).

Il pacchetto dovrebbe poi creare quella directory, con un file opportuno.

Related issues:
Related to fuss-manager - Segnalazione #788: Fare pacchetto .deb In elaborazione04/09/2019

Associated revisions

Revision 41a1f64d - 06/21/2019 11:57 AM - Elena Grandi

Load configuration from a file, if explicitely specified. refs: #810

Revision 495bf0d4 - 06/21/2019 12:22 PM - Elena Grandi
Add tests for the MockConfig. refs #810

Revision 98d3602b - 06/21/2019 12:24 PM - Elena Grandi
Tests for MockConfig. refs #810

Revision 48de70bc - 06/21/2019 12:30 PM - Elena Grandi

Improvements to MockConfig. refs #810

Revision 804653e2 - 06/21/2019 12:39 PM - Elena Grandi

Use /etc/fuss-manager as a default place for things. refs: #810

Instead of using a mix of /etc/fuss-manager and /etc/fuss-server

Revision 993eb1ad - 06/21/2019 12:55 PM - Elena Grandi
Change loading of default configs. refs: #810
If there is /etc/fuss-manager/ but no

/etc/fuss-manager/fuss-manager.yaml nor a fuss-manager.yaml in the
current directory, load default “production” configuration.

Revision a129ef06 - 07/01/2019 11:47 AM - Elena Grandi

Remove loading a configuration file from the current directory. refs: #810
Revision 5970d4ce - 07/01/2019 12:12 PM - Elena Grandi

Add options to specify a configuration file or mock mode. refs #810

Revision 2aa38c04 - 07/02/2019 11:52 AM - Enrico Zini
Sync with master. refs: #810

Revision 3d10ec64 - 07/02/2019 11:53 AM - Enrico Zini

Merged in master. Closes: #810

History

#1 - 05/15/2019 03:02 PM - Elena Grandi
- Related to Segnalazione #788: Fare pacchetto .deb added

#2 - 06/21/2019 11:58 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#3 - 06/21/2019 01:00 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee set to Enrico Zini

Nel branch ci sono le modifiche che fanno si che fuss-manager carichi:

® se presente, il file /etc/fuss-manager/fuss-manager.yaml (con dei default opportuni per quanto non presente nel file);

e altrimenti, se presente il file fuss-manager.yaml nella directory corrente (idem come sopra);

e altrimenti, se & presente una directory /etc/fuss-manager/ (che viene creata dal pacchetto), la configurazione di “produzione” di default;
¢ altrimenti la configurazione mock.

Una volta mergiato pud valer la pena di ripassarmi il ticket controllare che il file fuss-manager.yaml.example (che ho aggiunto in doc) venga installato
correttamente dal pacchetto.

#4 - 06/28/2019 02:21 PM - Enrico Zini

- Assignee changed from Enrico Zini to Elena Grandi

In fuss-manager, Runserver.make_app, l'ordine di caricamento al momento e:

if os.path.exists('/etc/fuss—manager/fuss-manager.yaml') :
config = Config('/etc/fuss-manager/fuss-manager.yaml')
elif os.path.exists
config = Config('fuss-manager.yaml')
elif os.path.exists('/etc/fuss-manager/"'):
config = Config()
else:
config = MockConfig()

'fuss—-manager.yaml') :

(
(
(
(

Salterei il caricamento di fuss-manager.yaml dalla directory corrente, che mi sembra pericoloso, perché si rischia che il comportamento di
fuss-manager cambi a seconda di dove venga eseguito.

Propongo di sostituirlo con un'opzione di argparse (installata facendo override di add_subparser in Runserver) che fa override della configurazione da
caricare, e gia che si mette mano alla commandline, usare --mock per attivare la modalita mock invece di usarla come fallback.
#5 - 07/01/2019 12:13 PM - Elena Grandi

- Assignee changed from Elena Grandi to Enrico Zini

Fatte le due modifiche richieste, pronto per review e merge (ho gia mergiato master dentro a t810 per verificare I'assenza di conflitti)

#6 - 07/02/2019 11:54 AM - Enrico Zini

- Status changed from Commenti to Chiuso

Bellissimo, non conoscevo add_mutually_exclusive_group()!

Mergiato in master, chiudo.
